models/Noticias.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "noticias".
 *
 * @property int $id
 * @property string|null $titulo
 * @property string|null $texto
 */
class Noticias extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'noticias';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['titulo'], 'string', 'max' => 100],
            [['texto'], 'string', 'max' => 200],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'titulo' => 'Titulo',
            'texto' => 'Texto',
        ];
    }
    
    public function mostrarUna(){
        
        $total= self::find()->count();
        $n= rand(0, $total-1);
        
        return self::find()->offset($n)->limit(1)->one();
    }
}

models/User.php
<?php

namespace app\models;

class User extends \yii\base\BaseObject implements \yii\web\IdentityInterface
{
    public $id;
    public $username;
    public $password;
    public $authKey;
    public $accessToken;

    private static $users = [
        '100' => [
            'id' => '100',
            'username' => 'admin',
            'password' => 'admin',
            'authKey' => 'test100key',
            'accessToken' => '100-token',
        ],
        '101' => [
            'id' => '101',
            'username' => 'demo',
            'password' => 'demo',
            'authKey' => 'test101key',
            'accessToken' => '101-token',
        ],
    ];


    /**
     * {@inheritdoc}
     */
    public static function findIdentity($id)
    {
        return isset(self::$users[$id]) ? new static(self::$users[$id]) : null;
    }

    /**
     * {@inheritdoc}
     */
    public static function findIdentityByAccessToken($token, $type = null)
    {
        foreach (self::$users as $user) {
            if ($user['accessToken'] === $token) {
                return new static($user);
            }
        }

        return null;
    }

    /**
     * Finds user by username
     *
     * @param string $username
     * @return static|null
     */
    public static function findByUsername($username)
    {
        foreach (self::$users as $user) {
            if (strcasecmp($user['username'], $username) === 0) {
                return new static($user);
            }
        }

        return null;
    }

    /**
     * {@inheritdoc}
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * {@inheritdoc}
     */
    public function getAuthKey()
    {
        return $this->authKey;
    }

    /**
     * {@inheritdoc}
     */
    public function validateAuthKey($authKey)
    {
        return $this->authKey === $authKey;
    }

    /**
     * Validates password
     *
     * @param string $password password to validate
     * @return bool if password provided is valid for current user
     */
    public function validatePassword($password)
    {
        return $this->password === $password;
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\Noticias;
use yii\data\ActiveDataProvider;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionInicio()
    {
       $dataProvider = new ActiveDataProvider([
           'query' => Noticias::find(),
           'pagination' => [
                'pageSize' => 20,
            ],
       ]);
        return $this->render('index', [
            'datos' => $dataProvider,
        ]);
    }

    public function actionPagina1()
    {
        /*
         * 1er metodo
         * Realizada la consulta en el controlador
         */
        //$total=Noticias::find()->count();
        //$registro= Noticias::find()->offset(rand(0, $total-1))->limit(1)->one();
        
        
        /*
         * 2do metodo
         * Realizada la consulta en el modelo Noticias a traves de una 
         * funcion 'mostrarUna()' que llamamos desde el controlador
         */
        
        $registro= Noticias::mostrarUna();
        
        return $this->render("pagina1",[
            "dato"=>$registro,
        ]);
    }
    
    public function actionPagina2()
    {
        return $this->render('pagina2');
    }
    
    public function actionPagina3()
    {
        return $this->render('pagina3');
    }
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/inicio']],
            ['label' => 'Pagina 1', 'url' => ['/site/pagina1']],
            ['label' => 'Pagina 2', 'url' => ['/site/pagina2']],
            ['label' => 'Pagina 3', 'url' => ['/site/pagina3']],   
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">&copy; My Company <?= date('Y') ?></p>

        <p class="pull-right"><?= Yii::powered() ?></p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/_modal.php
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel"><?= $titulo ?></h4>
      </div>
      <div class="modal-body">
        <?= $texto ?>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">
        <?= $boton ?>
        </button>
      </div>
    </div>
  </div>
</div>

views/site/_post.php
<?php

/*
echo $model->texto;
echo $model->titulo;
*/
?>

<div class="col-lg-6">
    <div class="thumbnail">
        <div class="col-lg-12 fotoFake"></div>
        <div class="caption">
            <h2><?= $model->titulo;?></h2>
            <p><?= $model->texto;?></p>
        </div>
    </div>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */
use yii\helpers\Html;
use yii\widgets\ListView;
use yii\data\ActiveDataProvider;

$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Ejemplo 1 de aplicacion</h1>

        <p>Podemos ver un ejemplo del funcionamiento de este framework.</p>
        
        
    </div>

    <div class="body-content">  
        <div class="row">
      <?php 
        echo ListView::widget([
            'dataProvider' => $datos,
            'itemView' => '_post',
        ]);
      ?>
         </div>
    </div>
</div>


<?=
        $this->render('_modal',[
            "titulo"=>"Pagina de inicio",
            "texto"=>"accion Inicio",
            "boton"=>"cerrar",
        ])

?>

views/site/pagina1.php
<?php

use yii\helpers\Html;
use yii\data\ActiveDataProvider;
use app\models\Noticias;


$this->title = 'Pagina 1';
$this->params['breadcrumbs'][] = $this->title;
?>

<div>
    <?=
    Html::img("@web/imgs/foto1.jpg", 
            ['class'=> 'img-rounded img-responsive center-block foto1',
             'alt' => 'Una foto fija',
            ]);
      
    ?> 
</div>
<div>
    <div class="center-block">
        <h1><?= $dato -> titulo; ?></h1>
        <p><?= $dato-> texto; ?></p>
    </div>
</div>

<?= $this->render('_modal',[
    "titulo"=>"Pagina 1",
    "texto"=>"accion Pagina 1",
    "boton"=>"cerrar",
]);?>

views/site/pagina2.php
<?php

$this-> title = 'Pagina 2';
$this-> params['breadcrumbs'][] = $this->title;

?>

<div class="container">
    <?= $this->render("pagina2/mapa.php"); ?>
</div>

<div class="container">
    <?= $this->render("pagina2/street.php"); ?>
</div>

views/site/pagina2/mapa.php
<iframe class="center-block" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2895.951665428436!2d-3.8139163851267055!3d43.46160627281786!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0xd494bcc568fd8c3%3A0x7858c552ade0effc!2sAlpe%20Formaci%C3%B3n!5e0!3m2!1ses!2ses!4v1581507231180!5m2!1ses!2ses" width="600" height="450" frameborder="0" style="border:0;" allowfullscreen=""></iframe>

views/site/pagina2/street.php
<iframe class="center-block" src="https://www.google.com/maps/embed?pb=!4v1581506971493!6m8!1m7!1s7CJHYqChtVNGW7BiRBpOTw!2m2!1d43.46149440273317!2d-3.811846734218264!3f78.3743568954078!4f0!5f0.7820865974627469" width="600" height="450" frameborder="0" style="border:0;" allowfullscreen=""></iframe>

views/site/pagina3.php
<?php

use yii\helpers\Html;

/*
$this->title = 'Pagina 3';
$this->params['breadcrumbs'][] = $this->title;
*/
/*
 * Añadir codigo JS en una vista para no cargarlo en AppAsset
 */
$this->registerJsFile(
        '@web/js/video.js',
        ['depends' => [\yii\web\JqueryAsset::className()]]
        );
?>

<div class="center-block embed-responsive embed-responsive-16by9">
    <video class="embed-responsive-item" controls="">
        <source src="<?= Yii::getAlias("@web") . "/video/Forest.mp4"?>" type="video/mp4">
    </video>
</div>

<!--
 embed-responsive: contenedor para contenido incrustrado, lo escala en cualquier dispositivo
 embed-responsive-16by9: crea un aspecto de radio 16:9 para contenido incrustrado
 embed-responsive-item: dentro de embed-responsive, escala dentro del padre
-->

<div class="center-block embed-responsive embed-responsive-16by9">
    <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/tlyomP5dawY" frameborder="0" allow="autoplay; encrypted-media;" allowfullscreen></iframe>    
</div>